## 20_functions_undeclared.dpatch by Sandro Tosi <morph@debian.org>
##
## DP: Include needed headers for 'textout' and 'ArrayType' undeclared objects

@DPATCH@
diff -urNad postgresql-pllua-0.8.1~/plluaapi.c postgresql-pllua-0.8.1/plluaapi.c
--- postgresql-pllua-0.8.1~/plluaapi.c	2010-02-11 14:40:09.000000000 +0100
+++ postgresql-pllua-0.8.1/plluaapi.c	2010-02-11 14:41:21.000000000 +0100
@@ -8,6 +8,9 @@
 #include "pllua.h"
 #include "rowstamp.h"
 
+#include "utils/builtins.h"
+#include "utils/guc.h"
+
 /* extended function info */
 typedef struct luaP_Info {
   int oid;
